> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update recording on a call

> Updates recording resource for particular call.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/recordings.yml post /texml/Accounts/{account_sid}/Calls/{call_sid}/Recordings/{recording_sid}.json
openapi: 3.1.0
info:
  title: Telnyx TeXML Recordings API
  version: 2.0.0
  description: API for managing TeXML Recordings.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Calls/{call_sid}/Recordings/{recording_sid}.json:
    post:
      tags:
        - TeXML REST Commands
      summary: Update recording on a call
      description: Updates recording resource for particular call.
      operationId: UpdateTeXMLCallRecording
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/CallSid'
        - $ref: '#/components/parameters/RecordingSid'
      requestBody:
        $ref: '#/components/requestBodies/TexmlUpdateCallRecordingRequest'
      responses:
        '200':
          $ref: '#/components/responses/TexmlCreateCallRecordingResponse'
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.texml.accounts.calls.recordings.recordingSidJson(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
              { account_sid: 'account_sid', call_sid: 'call_sid' },
            );


            console.log(response.account_sid);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            response =
            client.texml.accounts.calls.recordings.recording_sid_json(
                recording_sid="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
                account_sid="account_sid",
                call_sid="call_sid",
            )

            print(response.account_sid)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Texml.Accounts.Calls.Recordings.RecordingSidJson(\n\t\tcontext.TODO(),\n\t\t\"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\ttelnyx.TexmlAccountCallRecordingRecordingSidJsonParams{\n\t\t\tAccountSid: \"account_sid\",\n\t\t\tCallSid:    \"call_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.AccountSid)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.calls.recordings.RecordingRecordingSidJsonParams;

            import
            com.telnyx.sdk.models.texml.accounts.calls.recordings.RecordingRecordingSidJsonResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RecordingRecordingSidJsonParams params = RecordingRecordingSidJsonParams.builder()
                        .accountSid("account_sid")
                        .callSid("call_sid")
                        .recordingSid("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
                        .build();
                    RecordingRecordingSidJsonResponse response = client.texml().accounts().calls().recordings().recordingSidJson(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.texml.accounts.calls.recordings.recording_sid_json(
              "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
              account_sid: "account_sid",
              call_sid: "call_sid"
            )


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->texml->accounts->calls->recordings->recordingSidJson(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
                accountSid: 'account_sid',
                callSid: 'call_sid',
                status: 'paused',
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx texml:accounts:calls:recordings recording-sid-json \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --call-sid call_sid \
              --recording-sid 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    CallSid:
      name: call_sid
      in: path
      required: true
      description: The CallSid that identifies the call to update.
      schema:
        type: string
    RecordingSid:
      description: Uniquely identifies the recording by id.
      name: recording_sid
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  requestBodies:
    TexmlUpdateCallRecordingRequest:
      content:
        application/x-www-form-urlencoded:
          schema:
            $ref: '#/components/schemas/TexmlUpdateCallRecordingRequestBody'
      description: Update call recording on a call.
  responses:
    TexmlCreateCallRecordingResponse:
      description: Successful call recording create response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TexmlCreateCallRecordingResponseBody'
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  schemas:
    TexmlUpdateCallRecordingRequestBody:
      type: object
      title: Texml Create Call Recording Request Body
      properties:
        Status:
          type: string
          enum:
            - in-progress
            - paused
            - stopped
          example: paused
    TexmlCreateCallRecordingResponseBody:
      type: object
      title: Texml Create Call Recording Response Body
      properties:
        account_sid:
          $ref: '#/components/schemas/AccountSid'
        call_sid:
          $ref: '#/components/schemas/CallControlId'
        conference_sid:
          $ref: '#/components/schemas/ConferenceSid'
        channels:
          $ref: '#/components/schemas/TwimlRecordingChannels'
        date_created:
          $ref: '#/components/schemas/DateTimeRFC2822'
        date_updated:
          $ref: '#/components/schemas/DateTimeRFC2822'
        start_time:
          $ref: '#/components/schemas/DateTimeRFC2822'
        price:
          $ref: '#/components/schemas/TexmlRecordingPrice'
        price_unit:
          $ref: '#/components/schemas/TexmlPriceUnit'
        duration:
          $ref: '#/components/schemas/TexmlRecordingDuration'
        sid:
          $ref: '#/components/schemas/TexmlSid'
        source:
          $ref: '#/components/schemas/RecordingSource'
        error_code:
          $ref: '#/components/schemas/TexmlErrorCode'
        track:
          $ref: '#/components/schemas/RecordingTrack'
        uri:
          type: string
          description: The relative URI for this recording resource.
          example: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Calls/v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA/Recordings/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
    AccountSid:
      type: string
      example: 61bf923e-5e4d-4595-a110-56190ea18a1b
    CallControlId:
      type: string
      example: v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA
    ConferenceSid:
      type:
        - string
        - 'null'
      format: uuid
      example: cd5a70f4-759b-4d5e-9c06-88c00f16f3c1
    TwimlRecordingChannels:
      type: integer
      enum:
        - 1
        - 2
      default: 2
      example: 1
    DateTimeRFC2822:
      type: string
      format: date-time
      example: '2023-08-11T19:12:11Z'
    TexmlRecordingPrice:
      type:
        - string
        - 'null'
      description: >-
        The price of this recording, the currency is specified in the price_unit
        field. 
      example: '0.10'
    TexmlPriceUnit:
      type:
        - string
        - 'null'
      description: The unit in which the price is given.
      example: USD
    TexmlRecordingDuration:
      type:
        - string
        - 'null'
      description: The duration of this recording, given in seconds.
      example: '12'
    TexmlSid:
      type: string
      description: Identifier of a resource.
      example: e9cea0be-7dbd-4b98-98b1-c0089d9d43b0
    RecordingSource:
      type: string
      description: Defines how the recording was created.
      enum:
        - StartCallRecordingAPI
        - StartConferenceRecordingAPI
        - OutboundAPI
        - DialVerb
        - Conference
        - RecordVerb
        - Trunking
    TexmlErrorCode:
      type:
        - string
        - 'null'
      example: null
    RecordingTrack:
      description: The audio track to record for the call. The default is `both`.
      example: inbound
      type: string
      enum:
        - inbound
        - outbound
        - both
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````